%define major   338
%define libname %mklibname placebo %{major}
%define devname %mklibname placebo -d

Name:		libplacebo
Version:	6.338.2
Release:	%mkrel 1
Summary:	Video rendering library
License:	LGPLv2.1+
Group:		System/Libraries
URL:            https://github.com/haasn/libplacebo
Source0:	https://code.videolan.org/videolan/libplacebo/-/archive/v%{version}/libplacebo-v%{version}.tar.xz
Patch0:		libplacebo-6.338-demos-buildfix.patch

BuildRequires:	meson
BuildRequires:	glad2
BuildRequires:	glslc
BuildRequires:	glslang
BuildRequires:	glslang-devel
BuildRequires:	pkgconfig(epoxy)
BuildRequires:	pkgconfig(glfw3)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libavcodec)
BuildRequires:	pkgconfig(libunwind)
BuildRequires:	pkgconfig(libxxhash)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(shaderc)
BuildRequires:	pkgconfig(SPIRV-Tools)
BuildRequires:	pkgconfig(vulkan)
BuildRequires:	python3-mako

%description
libplacebo is, in a nutshell, the core rendering algorithms and ideas of mpv
rewritten as an independent library.

As of today, libplacebo contains a large assortment of video processing
shaders, focusing on both quality and performance.

%package -n %{libname}
Summary:	Video rendering library
Group:		System/Libraries

%description -n %{libname}
libplacebo is, in a nutshell, the core rendering algorithms and ideas of mpv
rewritten as an independent library.

As of today, libplacebo contains a large assortment of video processing
shaders, focusing on both quality and performance.

%package -n %{devname}
Summary:	Development files for the %{name} video rendering library
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Provides:	placebo-devel = %{version}-%{release}

%description -n %{devname}
libplacebo is, in a nutshell, the core rendering algorithms and ideas of mpv
rewritten as an independent library.

As of today, libplacebo contains a large assortment of video processing
shaders, focusing on both quality and performance.

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%meson \
       -Dvulkan=enabled \
       -Dopengl=enabled \
       -Dshaderc=enabled \
       -Dlcms=enabled \
       -Dglslang=disabled \
       -Dd3d11=disabled \
       -Dlibdovi=disabled
%meson_build

%install
%meson_install

%files
%{_bindir}/plplay

%files -n %{libname}
%{_libdir}/libplacebo.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/libplacebo/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Apr 18 2024 tex - 6.338.2-1pclos2024
- new version

* Mon Nov 27 2023 tex - 6.338.1-1pclos2023
- initial package libplacebo (needed for mpv)

